Canvas5Graph::LocalState Struct Reference documentation

Canvas5Graph::LocalState Struct Reference

Internal: the local state of a Canvas5Graph. More...

`#include <Canvas5Graph.hxx>`

## Public Member Functions
| LocalState (MWAWPosition const &pos=MWAWPosition(), MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| default constructor
void | multiplyMatrix (std::array< double, 9 > const &mat)
| set the matrix transform

## Public Attributes
MWAWPosition | m_position
| the shape position position
MWAWGraphicStyle | m_style
| the shape style
MWAWTransformation | m_transform
| the shape transformation

## Detailed Description

Internal: the local state of a Canvas5Graph.

## Constructor & Destructor Documentation

## ◆ LocalState()

Canvas5Graph::LocalState::LocalState | ( | MWAWPosition const & | pos = MWAWPosition(),
|  | MWAWGraphicStyle const & | style = MWAWGraphicStyle::emptyStyle() )
| inlineexplicit

default constructor

## Member Function Documentation

## ◆ multiplyMatrix()

void Canvas5Graph::LocalState::multiplyMatrix | ( | std::array< double, 9 > const & | mat | ) |

set the matrix transform

Referenced by Canvas5Graph::send().

## Member Data Documentation

## ◆ m_position

MWAWPosition Canvas5Graph::LocalState::m_position

the shape position position

Referenced by LocalState(), Canvas5Image::send(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendDimension9(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), Canvas5Graph::sendGIF(), Canvas5Graph::sendSpecial(), and Canvas5Graph::sendTechnical().

## ◆ m_style

MWAWGraphicStyle Canvas5Graph::LocalState::m_style

the shape style

Referenced by LocalState(), Canvas5Graph::send(), Canvas5Image::send(), Canvas5Graph::sendDimension(), Canvas5Graph::sendDimension9(), Canvas5Graph::sendExtrude(), Canvas5Graph::sendGIF(), Canvas5Graph::sendSpecial(), and Canvas5Graph::sendTechnical().

## ◆ m_transform

MWAWTransformation Canvas5Graph::LocalState::m_transform

the shape transformation

Referenced by LocalState(), multiplyMatrix(), Canvas5Graph::send(), Canvas5Image::send(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendDimension9(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), Canvas5Graph::sendGIF(), Canvas5Graph::sendSpecial(), and Canvas5Graph::sendTechnical().

The documentation for this struct was generated from the following files:

- Canvas5Graph.hxx
- Canvas5Graph.cxx